#ifndef _CONTROLLER_H_
#define _CONTROLLER_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/socket.h>
#include <errno.h>

class Controller
{
  public:

    Controller( const int aSocket);
    void init();
    void run();

  protected :

    inline static void sendMsg(const char* text);

  private:

    static int theSocket;
    char buffer[1024];

};


inline void Controller::sendMsg(const char* text)
{
  if ( send(theSocket, text, strlen(text), 0) != static_cast<int>(strlen(text))) {
    fprintf(stderr, "send() hat eine unterschiedliche Anzahl von Bytes versendet, als erwartet !!!!: %s\n", strerror(errno));
    exit(-1);
  }
}

#endif
